import { defineUniPages } from '@uni-helper/vite-plugin-uni-pages'

export default defineUniPages({
  globalStyle: {
    navigationStyle: 'default',
    navigationBarTitleText: '',
    navigationBarBackgroundColor: '#f8f8f8',
    navigationBarTextStyle: 'black',
    backgroundColor: '#FFFFFF',
  },
  easycom: {
    autoscan: true,
    custom: {
      '^wd-(.*)': 'wot-design-uni/components/wd-$1/wd-$1.vue',
      '^(?!z-paging-refresh|z-paging-load-more)z-paging(.*)':
        'z-paging/components/z-paging$1/z-paging$1.vue',
    },
  },
  tabBar: {
    color: '#777777',
    selectedColor: '#8AE54A',
    backgroundColor: '#18181B',
    borderStyle: 'black',
    height: '120rpx',
    fontSize: '22rpx',
    // iconWidth: '24px',
    // spacing: '3px',
    list: [
      {
        iconPath: 'static/images/tabbar/home.png',
        selectedIconPath: 'static/images/tabbar/home-l.png',
        pagePath: 'pages/index/index',
        text: '%tabbar.Home%',
      },
      {
        iconPath: 'static/images/tabbar/jiangpai.png',
        selectedIconPath: 'static/images/tabbar/jiangpai-l.png',
        pagePath: 'pages/trophy/index',
        text: '%tabbar.Competition%',
      },
      {
        iconPath: 'static/images/tabbar/team.png',
        selectedIconPath: 'static/images/tabbar/team-l.png',
        pagePath: 'pages/team/index',
        text: '%tabbar.Team%',
      },
      {
        iconPath: 'static/images/tabbar/task.png',
        selectedIconPath: 'static/images/tabbar/task-l.png',
        pagePath: 'pages/task/index',
        text: '%tabbar.Earn%',
      },
      // {
      //   // iconPath: 'static/tabbar/example.png',
      //   // selectedIconPath: 'static/tabbar/exampleHL.png',
      //   // pagePath: 'pages/airdrop/index',
      //   // text: '%tabbar.about%',
      // },
    ],
  },
})
