import { http, httpGet, httpPost } from '@/utils/http'

export interface Ranking {
  ranking?: number // 排名
  tgId?: string // tg小程序id
  tgAccount?: string // tg账号
  firstName?: string // 名
  lastName?: string // 姓
  nickname?: string // 昵称
  realName?: string // 真实姓名
  avatar?: string // 头像
  goldCoinAmount?: number // 金币余额
  goldCoinTotalHis?: number // 金币总数量
  invitedUsersCount?: number // 邀请人数
}

export const goldCoinCompetitionRanking = (limit: number) => {
  return httpPost<{ rankList: Ranking[]; userInfo: Ranking }>(
    '/app/competition/goldCoinCompetitionRanking',
    { limit },
  )
}

export const teamInviteCompetitionRanking = (limit: number) => {
  return httpPost<{
    rankList: Ranking[]
    userInfo: Ranking
  }>('/app/competition/teamInviteCompetitionRanking', { limit })
}
